Skip Headers
Oracle® Enterprise Manager Grid Control Advanced Installation and Configuration Guide
11g Release 1 (11.1.0.1.0)

E16847-15
Go to Documentation Home
Home
Go to Book List
Book List
Go to Table of Contents
Contents
Go to Index
Index
Go to Feedback page
Contact Us

Go to previous page
Previous
Go to next page
Next
PDF · Mobi · ePub

B Meeting Package, Kernel Parameter, and Library Requirements

This appendix describes the packages and libraries required on different operating systems (32-bit as well as 64-bit) for installing Oracle Management Service (OMS) and Oracle Management Agent (Management Agent).

In particular, this appendix covers the following:

Note:

The packages and libraries are NOT required for Microsoft Windows operating systems.

Package Requirements for Oracle Management Service

Table B-1 describes the packages required on different platforms for installing an OMS:

Table B-1 Package Requirements for Oracle Management Service

Operating System Package

Red Hat Enterprise Linux 4

Oracle Linux 4

  • kernel-utils-2.4

  • make-3.80

  • binutils-2.15.92.0.2-13

  • gcc-3.4.5

  • libaio-0.3.105

  • glibc-common-2.3.4-2.9

  • compat-libstdc++-296 -2.96-132.7.2

  • libstdc++-3.4.3-22.1

  • libstdc++-devel-3.4.3-22.1

  • pdksh-5.2.14-30

  • setarch-1.6-1

  • sysstat-5.0.5-1

  • compat-db-4.1.25-9

Red Hat Enterprise Linux 5.x

Oracle Linux 5.x

  • rng-utils-2

  • make-3.81

  • binutils-2.17.50.0.6

  • gcc-4.1.1

  • libaio-0.3.106

  • glibc-common-2.3.4-2.9

  • compat-libstdc++-296 -2.96-132.7.2

  • libstdc++-4.1.1

  • libstdc++-devel-4.1.1

  • setarch-1.6-1

  • sysstat-5.0.5-1

  • compat-db-4.1.25-9

Asianux Linux 3

  • make-3.81

  • binutils-2.17.50.0.6

  • gcc-4.1.1

  • libaio-0.3.106

  • glibc-common-2.3.4

  • compat-libstdc++-296-2.96

  • libstdc++-4.1.1

  • libstdc++-devel-3.4.3

  • setarch-1.6-1

  • sysstat-5.0.5-1

  • compat-db-4.1.25

SUSE Linux Enterprise Server 10

  • make-3.80

  • binutils-2.16.91.0.5

  • gcc-4.1.0

Solaris Sparc 5.9

  • SUNWlibm

  • SUNWlibms

  • SUNWsprot

  • SUNWsprox

  • SUNWtoo

  • SUNWi1of

  • SUNWxwfnt

Solaris Sparc 5.10

SUNWbtool

HP PA-RISC 11.23

BUNDLE11i(B.11.23.0409.3)

HP PA-RISC 11.31

  • Base-VXFS(B.11.31)

  • OnlineDiag(B.11.31.01.03)

HP-UX Itanium-11.23

BUNDLE11i(B.11.23.0409.3)

HP-UX Itanium-11.31

BUNDLE(B.11.31)

IBM AIX 5.3

  • bos.perf.proctools

  • bos.adt.base.0.0

  • bos.adt.libm.0.0

In addition, manually enable asynchronous I/O. To do so, follow these steps:

  1. Start smitty aio.

  2. Run Change/Show Characteristics of Asynchronous I/O.

  3. Set the STATE to be configured at system restart as available.

Note: This procedure does not require you to restart the system.

IBM AIX 6.1

  • bos.adt.base.0.0

  • bos.adt.lib.0.0

  • bos.adt.libm.0.0

  • bos.perf.libperfstat0.0

  • bos.perf.perfstat0.0

  • bos.perf.proctools0.0

  • rsct.basic.rte0.0

  • rsct.compat.clients.rte0.0

  • xlC.aix61.rte.9.0.0.0

  • xlC.rte.9.0.0.0

In addition, manually enable asynchronous I/O. To do so, follow these steps:

  1. Start smitty aio.

  2. Run Change/Show Characteristics of Asynchronous I/O.

  3. Set the STATE to be configured at system restart as available.

Note: This procedure does not require you to restart the system.


Package Requirements for Oracle Management Agent

Table B-2 describes the packages required on different platforms for installing a Management Agent:

Table B-2 Package Requirements for Oracle Management Agent

Operating System Package

Red Hat Enterprise Linux 4

Oracle Linux 4

  • make-3.80

  • binutils-2.15.92.0.2

  • gcc-3.4.5

  • libstdc++-3.4.5

Red Hat Enterprise Linux 5.x

Oracle Linux 5.x

  • make-3.81

  • binutils-2.17.50.0.6

  • gcc-4.1.1

  • libstdc++-4.1.1

  • libaio

  • glibc-devel (64-bit)

  • glibc-devel (32-bit)

Asianux Linux 1

  • make-3.79

  • binutils-2.14

  • gcc-3.2

Asianux Linux 2

  • make-3.80

  • binutils-2.15.92.0.2

  • gcc-3.4.5

  • libstdc++-3.4.5

Asianux Linux 3

  • make-3.81

  • binutils-2.17.50.0.6

  • gcc-4.1.1

  • libstdc++-4.1.1

United Linux 1

  • make-3.79

  • binutils-2.14

  • gcc VERSION-3.2

SUSE Linux Enterprise Server 10

SUSE Linux Enterprise Server 11

  • make-3.80

  • binutils-2.16.91.0.5

  • gcc-4.1.0

  • libstdc++-4.1.0

Solaris Express 5.11 x86-64

Note: The supported Kerne lID is 175.0.0.0.2.0,151.0.1.12.

To check the kernel ID, run the following command:

uname -X |grep KernelID

  • SUNWbtool

  • sunwarc

  • SUNWhea

  • SUNWlibm

  • SUNWlibms

  • SUNWsprot

  • SUNWtoo

  • SUNWlibC

  • SUNWcsl

Note: While installing the Management Agent, there might be prerequisite checks checking for obsolete packages on Solaris Express 5.11 x86-64 and Solaris Sparc Express 5.11 (64 bit), particularly packages such as SUNWi1of, SUNWi1cs, SUNWi15cs, and SUNWxwfnt. If such prerequisite checks fail, ignore the failure and proceed with the installation.

Solaris Sparc 5.9

  • SUNWlibm

  • SUNWlibms

  • SUNWsprot

  • SUNWsprox

  • SUNWtoo

  • SUNWi1of

  • SUNWxwfnt

Solaris Sparc 5.10

SUNWbtool

Solaris Sparc Express 5.11 (64 bit)

Note: The supported Kernel ID is 175.0.0.0.2.0,151.0.1.12.

To check kernel ID, run the following command:

uname -X |grep KernelID

  • SUNWbtool

  • sunwarc

  • SUNWhea

  • SUNWlibm

  • SUNWlibms

  • SUNWsprot

  • SUNWtoo

  • SUNWlibC

  • SUNWcsl

Note: While installing the Management Agent, there might be prerequisite checks checking for obsolete packages on Solaris Express 5.11 x86-64 and Solaris Sparc Express 5.11 (64 bit), particularly packages such as SUNWi1of, SUNWi1cs, SUNWi15cs, and SUNWxwfnt. If such prerequisite checks fail, ignore the failure and proceed with the installation.

HP PA-RISC 11.23

BUNDLE11i(B.11.23.0409.3)

HP PA-RISC 11.31

  • Base-VXFS(B.11.31)

  • OnlineDiag(B.11.31.01.03)

HP-UX Itanium-11.23

BUNDLE11i(B.11.23.0409.3)

HP-UX Itanium-11.31

BUNDLE(B.11.31)

IBM AIX 5.3

bos.perf.proctools(5.3.0.50)

IBM AIX 6.1

  • bos.adt.base.0.0

  • bos.adt.lib.0.0

  • bos.adt.libm.0.0

  • bos.perf.libperfstat0.0

  • bos.perf.perfstat0.0

  • bos.perf.proctools0.0

  • rsct.basic.rte0.0

  • rsct.compat.clients.rte0.0

  • xlC.aix61.rte.9.0.0.0

  • xlC.rte.9.0.0.0


Kernel Parameter Requirements for Oracle Management Service and Oracle Management Agent

If you are installing an OMS or a Management Agent on any Linux operating sytem (Red Hat Enterprise Linux 4 or 5, Oracle Linux 4 or 5, Asianux Linux 3, and SUSE Linux Enterprise Server 10), then set the kernel.shmmax parameter to a value that is not greater than 4 GB.

Library Requirements for Oracle Management Service

Table B-3 describes the libraries required on different platforms for installing an OMS:

Table B-3 Library Requirements for Oracle Management Service

Operating System Library

Red Hat Enterprise Linux 4

Oracle Linux 4

GLIBC-2.3.4-2.19

Red Hat Enterprise Linux 5.x

Oracle Linux 5.x

GLIBC-2.5-12

Asianux Linux 3

GLIBC-2.3.4-2.9

SUSE Linux Enterprise Server 10

GLIBC-2.2.4-31.7